Doomsday Engine - Bug #2291

If music is not defined in Map Info, should fall back to the default music
2018-11-04 12:21 - skyjake

Status: Closed Start date: 2018-11-04
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Defect

Target version: 2.1 (Late 2018)

Description

Older mods may not specify a music ID in Map Info. However, patchmapinfo.ded in the games' definitions makes the assumption that
only non-custom Map Infos get the default music.

A better way to set the default songs would be to have a Music definition matching each map ID, so that if the Map Info does not
specify a song, it can always fall back to choosing a Music definition based on the map ID.

Associated revisions

Revision €98b33bd - 2018-11-04 12:47 - skyjake

Music|Definitions: Fall back to default music
If a custom Map Info doesn’t specify any music, it should use the map’s default song.

Removed the default songs from the games’ patchmapinfo.ded, as that method of applying the default songs does not work with custom Map Infos
that don’t set a music ID. Instead, there is now a Music definition matching each map ID.
History

#1 - 2018-11-04 12:21 - skyjake

- Status changed from New to In Progress

#2 - 2018-11-04 12:47 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#3 - 2018-11-05 19:15 - skyjake

- Status changed from Resolved to Closed
